=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Lauri Mylläri <ext-lauri.myllari@nokia.com>
Standards-Version: 3.6.1.1
Build-depends: liblzo-dev (>= 1.08), liblzo-dev (<< 1.09), debhelper (>= 4)

Package: lzop
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, liblzo1 (>= 1.08), liblzo1 (<< 1.09)
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip
 are much higher compression and decompression speed.
 lzop was designed with the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability
 .
 Home page: http://www.lzop.org/
