=== debian/watch ===
version=2
http://www.lzop.org/ download/lzop-([0-9.]+).tar.gz
