## lzop 1.03

=== debian/changelog ===
lzop (1.03-3) unstable; urgency=low

  * Remove extra tight dependencies on liblzo; they are not needed anymore

 -- Peter Eisentraut <petere@debian.org>  Tue, 08 Nov 2011 21:13:09 +0200

lzop (1.03-2) unstable; urgency=low

  * Updated dependencies for new lzo version
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 06 Jul 2011 07:26:48 +0300

lzop (1.03-1) unstable; urgency=low

  * New upstream release (closes: #610733)
  * Updated dependencies for new lzo version (closes: #614217)
  * Changed source format to 3.0 (quilt)
  * Removed redundant section fields
  * Pointed copyright to non-symlinked version of GPL file
  * Updated standards version
  * Added upstream contact email in debian/copyright (closes: #520679)

 -- Peter Eisentraut <petere@debian.org>  Sat, 26 Feb 2011 15:36:37 +0200

lzop (1.02~rc1-2) unstable; urgency=low

  * Updated standards version
  * Added Homepage control field
  * Changed to debhelper level 6; allows use of dh_lintian
  * Updated build dependencies for new lzo2 version
  * Uploaded to unstable, to advance transition to lzo2

 -- Peter Eisentraut <petere@debian.org>  Tue, 06 May 2008 10:54:22 +0200

lzop (1.02~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Now built against lzo2
  * Updated watch file for release candidates
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Jun 2007 17:57:27 +0200

lzop (1.01-4) unstable; urgency=low

  * Changed maintainer address
  * Updated standards version
  * Changed build system to CDBS
  * Changed to debhelper level 5

 -- Peter Eisentraut <petere@debian.org>  Mon, 23 Jan 2006 13:26:11 +0100
