=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Standards-Version: 3.9.2
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 6.0.7), liblzo2-dev
Homepage: http://www.lzop.org/

Package: lzop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip are
 much higher compression and decompression speed.  lzop was designed with
 the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability
