## lzop 1.03-2drbl

=== debian/changelog ===
lzop (1.03-2drbl) unstable; urgency=low

  * Remove liblzo dependence since it's static linking.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 May 2011 13:02:46 +0800
