=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: lzop
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, liblzo2-2 (>= 2.03), liblzo2-2 (<< 2.04~)
+Depends: ${shlibs:Depends}
 Description: fast compression program
  lzop is a compressor similar to gzip.  Its main advantages over gzip are
  much higher compression and decompression speed.  lzop was designed with
