=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,4 @@
 
 DEB_INSTALL_CHANGELOGS_ALL = NEWS
 DEB_INSTALL_DOCS_ALL = AUTHORS THANKS
+LDFLAGS+="-static"
