## lzop 1.03.1

=== debian/changelog ===
lzop (1.03.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: e73e8676ddf80f0856dff74db1b42c4567a31995']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:33:25 +0000
