## lzop 1.04

=== debian/changelog ===
lzop (1.04-2) unstable; urgency=medium

  * Indicate that lzop can satisfy dependencies for different
    architectures; thanks to Bastian Germann for the hint!
    Closes: #973609.
  * Switch to debhelper compatibility level 13.
  * Bump debian/watch to version 4, drop dversionmangle.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Nov 2020 22:39:37 +0100

lzop (1.04-1) unstable; urgency=medium

  * New upstream release, merging our patches. Closes: #934856.
  * Adopt the package; thanks Peter for all the work! Closes: #946757.
  * Switch to dh short rules and debhelper compatibility level 12.
  * Switch to DEP5 debian/copyright.
  * Fix whitespace in debian/changelog.
  * Switch to secure URLs.
  * Set “Rules-Requires-Root: no”.
  * Add a repository on Salsa.
  * Standards-Version 4.4.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 21 Jan 2020 09:02:38 +0100

lzop (1.03-4) unstable; urgency=low

  * Fix build with GCC 6 (static-assert.patch) (closes: #812054)
  * Update standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 06 Jul 2016 03:43:45 +0000

lzop (1.03-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch src/miniacc.h to fix FTBFS on powerpc (Closes: #816757)

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Mar 2016 00:27:26 +0100

lzop (1.03-3.1) unstable; urgency=medium

  [ Hilko Bengen ]
  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS for arm64: add autotools-dev to Build-Depends (Closes:
    #759452)

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Feb 2016 15:55:02 +0100
