=== debian/control ===
Source: lzop
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), liblzo2-dev
Homepage: https://www.lzop.org/
Vcs-Browser: https://salsa.debian.org/debian/lzop
Vcs-Git: https://salsa.debian.org/debian/lzop.git
Rules-Requires-Root: no

Package: lzop
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast compression program
 lzop is a compressor similar to gzip.  Its main advantages over gzip are
 much higher compression and decompression speed.  lzop was designed with
 the following goals in mind:
  1) reliability
  2) speed (both compression and decompression)
  3) reasonable drop-in compatibility with gzip
  4) portability
